std::_Sp_ebo_helper< _Nm, _Tp, false > Struct Template Reference

`#include <shared_ptr_base.h>`

## Public Member Functions

| _Sp_ebo_helper (_Tp &&__tp)
| _Sp_ebo_helper (const _Tp &__tp)

## Static Public Member Functions

static _Tp & | _S_get (_Sp_ebo_helper &__eboh)

## Detailed Description

template<int _Nm, typename _Tp>
struct std::_Sp_ebo_helper< _Nm, _Tp, false >

Specialization not using EBO.

Definition at line 479 of file shared_ptr_base.h.

## Constructor & Destructor Documentation

## _Sp_ebo_helper() [1/2]

template<int _Nm, typename _Tp>

std::_Sp_ebo_helper< _Nm, _Tp, false >::_Sp_ebo_helper | ( | const _Tp & | __tp | ) |

inline explicit

Definition at line 481 of file shared_ptr_base.h.

## _Sp_ebo_helper() [2/2]

template<int _Nm, typename _Tp>

std::_Sp_ebo_helper< _Nm, _Tp, false >::_Sp_ebo_helper | ( | _Tp && | __tp | ) |

inline explicit

Definition at line 482 of file shared_ptr_base.h.

## Member Function Documentation

## _S_get()

template<int _Nm, typename _Tp>

_Tp & std::_Sp_ebo_helper< _Nm, _Tp, false >::_S_get | ( | _Sp_ebo_helper< _Nm, _Tp, false > & | __eboh | ) |

inline static

Definition at line 485 of file shared_ptr_base.h.

The documentation for this struct was generated from the following file:

- shared_ptr_base.h